#!/bin/sh
echo building TI89 version ...
tigcc -Os -DUSE_TI89 -W -Wall -Wwrite-strings -fomit-frame-pointer -mregparm=5 --optimize-code --cut-ranges --reorder-sections -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -Wa,-l -Wa,--all-relocs -freg-relative-a5 -DMERGE_BSS -pack scottdrv scott.c
cp scottdrv.89y ../bin89/
cp scott.89z ../bin89/
echo building TI92P/V200 version ...
tigcc -Os -DUSE_TI92PLUS -DUSE_V200 -W -Wall -Wwrite-strings -fomit-frame-pointer -mregparm=5 --optimize-code --cut-ranges --reorder-sections -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -Wa,-l -Wa,--all-relocs -freg-relative-a5 -DMERGE_BSS -pack scottdrv scott.c
cp scottdrv.9xy ../bin92p/
cp scott.9xz ../bin92p/
cp scottdrv.v2y ../bin92p/
cp scott.v2z ../bin92p/
echo delete temporary files ...
rm scott.8*
rm scottdrv.8*
rm scott.9*
rm scottdrv.9*
rm scott.v*
rm scottdrv.v*
