@echo off
echo building TI89 version ...
tigcc -Os -DUSE_TI89 -W -Wall -Wwrite-strings -fomit-frame-pointer -mregparm=5 --optimize-code --cut-ranges --reorder-sections -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -Wa,-l -Wa,--all-relocs -freg-relative-a5 -DMERGE_BSS -pack scottdrv scott.c
copy scottdrv.89y ..\bin89
copy scott.89z ..\bin89
echo building TI92P/V200 version ...
tigcc -Os -DUSE_TI92PLUS -DUSE_V200 -W -Wall -Wwrite-strings -fomit-frame-pointer -mregparm=5 --optimize-code --cut-ranges --reorder-sections -ffunction-sections -fdata-sections --merge-constants -fmerge-all-constants -Wa,-l -Wa,--all-relocs -freg-relative-a5 -DMERGE_BSS -pack scottdrv scott.c
copy scottdrv.9xy ..\bin92p
copy scott.9xz ..\bin92p
copy scottdrv.v2y ..\bin92p
copy scott.v2z ..\bin92p
echo delete temporary files ...
del scott.8*
del scottdrv.8*
del scott.9*
del scottdrv.9*
del scott.v*
del scottdrv.v*
@echo on
